KMDIPrivate::KMDIGUIClient Class Reference

`#include <kmdiguiclient.h>`

Inherits QObject, and KXMLGUIClient.

## Signals

void | toggleTop ()
void | toggleLeft ()
void | toggleRight ()
void | toggleBottom ()

## Public Member Functions

| KMDIGUIClient (KMdiMainFrm *mdiMainFrm, bool showMDIModeAction, const char *name=0)
void | addToolView (KMdiToolViewAccessor *)

## Detailed Description

A class derived from KXMLGUIClient that handles the various KMDI modes.

Definition at line 41 of file kmdiguiclient.h.

## Member Function Documentation

void KMDIGUIClient::addToolView | ( | KMdiToolViewAccessor * | mtva | ) |

Add a new tool view to this KMDIGUIClient.

Reads the shortcut for the tool view from the KMDI application's config file and also adds a ToggleToolViewAction so that the visibility of the toolviews can be turned on and off

Definition at line 246 of file kmdiguiclient.cpp.

void KMDIPrivate::KMDIGUIClient::toggleBottom | ( |  | ) |

signal

Toggle the bottom tool dock.

void KMDIPrivate::KMDIGUIClient::toggleLeft | ( |  | ) |

signal

Toggle the left tool dock.

void KMDIPrivate::KMDIGUIClient::toggleRight | ( |  | ) |

signal

Toggle the right tool dock.

void KMDIPrivate::KMDIGUIClient::toggleTop | ( |  | ) |

signal

Toggle the top tool dock.

The documentation for this class was generated from the following files:

- kmdiguiclient.h
- kmdiguiclient.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys